SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002190: Using quotes in "Custom configuration lines" boxes are translated to """ in config file. - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002190Endian FirewallOther Servicespublic2009-09-22 21:162009-10-27 11:59
Reportermaxim 
Assigned Tosimon-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3-rc1 
Target VersionFixed in Version2.3 
Summary0002190: Using quotes in "Custom configuration lines" boxes are translated to """ in config file.
DescriptionThe line:
filename "/tftpboot/pxelinux.0";
Is translated as:
filename "/tftpboot/pxelinux.0";

In the dhcpd.conf. This prevents the dhcp service from starting.
Additional InformationChanging the template file that is stored in the var file system allows for backwards translation of the quotes, but once the page is loaded and saved through the web interface the quotes are translated back to ".
TagsNo tags attached.
Attached Filespatch file icon dhcp.patch [^] (663 bytes) 2009-09-28 10:11 [Show Content]

- Relationships
has duplicate 0002314closedsimon-endian DHCP fails start with CUSTOM DHCP-Option Field used 
has duplicate 0002380closedsimon-endian DHCP server don't start if you have a paratemer in "Custom Configuration Lines" that has double quotes (") 

-  Notes
(0002986)
maxim (reporter)
2009-09-22 21:37
edited on: 2009-09-22 21:48

Wow, totally forgot to mention some things:

The page is Services - DHCP

The file is /etc/dhcpd.conf

Also, the tracker seems to have actually translated the text """ into an actual quote which is not what I wanted. This is messed up in title of the ticket, as well as the description.

Essentially to recap typing " in the box, ends up being '"' in /etc/dhcpd.conf

(0003021)
simon-endian (developer)
2009-09-28 10:12

now html entities are decoded. i added a patch file, so you can quickfix this issue

- Issue History
Date Modified Username Field Change
2009-09-22 21:16 maxim New Issue
2009-09-22 21:37 maxim Note Added: 0002986
2009-09-22 21:44 maxim Note Edited: 0002986
2009-09-22 21:46 maxim Note Edited: 0002986
2009-09-22 21:46 maxim Note Edited: 0002986
2009-09-22 21:48 maxim Note Edited: 0002986
2009-09-23 13:25 peter-endian Assigned To => simon-endian
2009-09-23 13:25 peter-endian Status new => confirmed
2009-09-28 10:11 simon-endian File Added: dhcp.patch
2009-09-28 10:12 simon-endian Note Added: 0003021
2009-09-28 10:12 simon-endian Status confirmed => resolved
2009-09-28 10:12 simon-endian Fixed in Version => 2.3
2009-09-28 10:12 simon-endian Resolution open => fixed
2009-10-27 11:59 peter-endian Status resolved => closed
2009-10-29 12:16 simon-endian Relationship added has duplicate 0002314
2009-11-05 11:22 simon-endian Relationship added has duplicate 0002380

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker